package com.kfzs.duanduan.utils.dlg;

import java.io.File;

/**
 * Created by Administrator on 2017/12/28.
 */

public class FileUtils {
    /**
     * 递归删除文件或文件夹。
     *
     * @param pDir
     */
    public static void deleteFiles(File pDir) {
        deleteFiles(pDir, true);
    }
    /**
     * 递归删除文件或文件夹。
     *
     * @param pDir
     * @param isDeleteDir 是否删除本目录
     */
    public static void deleteFiles(File pDir, boolean isDeleteDir) {
        if (!pDir.exists() || Thread.interrupted())
            return;
        if (pDir.isFile()) {
            pDir.delete();
        } else if (pDir.isDirectory()) {
            File[] childFile = pDir.listFiles();
            if (isDeleteDir && childFile == null || childFile.length == 0) {
                pDir.delete();
                return;
            }
            for (File f : childFile) {
                deleteFiles(f);
            }
            pDir.delete();
        }
    }
}
